require "thor"

module Katar
    module Commands
        class EditCommand < Thor

            desc "edit", "Edit the Katar.yaml file"
            def edit

                if windows?
                    exec "start #{Katar::DIR}/Katar.yaml"
                end

                exec "open #{Katar::DIR}/Katar.yaml"

            end

            private 

            def windows?
                (/cygwin|mswin|mingw|bccwin|wince|emx/ =~ RUBY_PLATFORM) != nil
            end

        end
    end
end

Katar::Commands::EditCommand.start(ARGV)